import { request } from '@umijs/max';
import { List } from 'lodash';

export default {

    /**
     * 获取产品统计
     * @param parms 
     * @returns 
     */
    PagedList(parms: ReportType.ReportInput) {
        return request('/api/report/getproductreport', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },

    /**
     * 获取原料统计
     * @param parms 
     * @returns 
     */
    PagedMaterialList(parms: ReportType.ReportInput) {
        return request('/api/report/getmaterialsreport', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    }

}
